PUT studies Id
BearerAuthorizationBearer <token>Paste your JWT token here
id*integerThe unique identifier of the study to update.
int32The data transfer object containing the full updated study information.
application/json- body
Defines the DTO for updating an existing study, containing all necessary information for modifying a study's properties. The StudyUpdateDTO is used to transfer data from the client to the server when updating an existing study, allowing for changes to be made to the study's details while ensuring that the provided information is validated appropriately for the update process.
title*stringThe title of the study.
0 <= length <= 100nominalDurationYears*integerThe default duration of the study in years.
int32type*StudyTypeDefines the type of a Study.
int32"Bachelor""Master"active*booleanStatus of the study. Inactive studies are hidden from the public registration form, but are preserved in the database for historical records and statistics.
No Content
curl -X PUT 'https://example.com/studies/0' \ -H 'Content-Type: application/json' \ -d '{ "title": "string", "nominalDurationYears": 0, "type": "Bachelor", "active": true}'